
       dimension x(800),y(800)
       write(6,*) 'the number'
       open(unit=20, file='tosp.dat')
       open(unit=19, file='outsp.dat')
       read(5,*) n
       a=2360
       dx=20
       do i=1,n
       read(20,*) y(i)
       x(i)=a+i*dx
       write(19,*) x(i),y(i)
       enddo 
       stop
       end
